org.keycloak.authorization.authorization

## Class AuthorizationTokenService.KeycloakAuthorizationRequest

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AuthorizationRequest
  - - org.keycloak.authorization.authorization.AuthorizationTokenService.KeycloakAuthorizationRequest

- Enclosing class:
    AuthorizationTokenService

      public static class AuthorizationTokenService.KeycloakAuthorizationRequest
      extends AuthorizationRequest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.representations.idm.authorization.AuthorizationRequest

      `AuthorizationRequest.Metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakAuthorizationRequest(AuthorizationProvider authorization, TokenManager tokenManager, EventBuilder event, org.jboss.resteasy.spi.HttpRequest request, Cors cors, ClientConnection clientConnection)`

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.representations.idm.authorization.AuthorizationRequest

      `addPermission, addPermission, getAudience, getClaims, getClaimToken, getClaimTokenFormat, getMetadata, getPct, getPermissions, getRpt, getRptToken, getScope, getSubjectToken, getTicket, isSubmitRequest, setAudience, setClaims, setClaimToken, setClaimTokenFormat, setMetadata, setPct, setPermissions, setRpt, setRpt, setScope, setSubjectToken, setSubmitRequest, setTicket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakAuthorizationRequest

          public KeycloakAuthorizationRequest(AuthorizationProvider authorization,
                                              TokenManager tokenManager,
                                              EventBuilder event,
                                              org.jboss.resteasy.spi.HttpRequest request,
                                              Cors cors,
                                              ClientConnection clientConnection)

Copyright © 2020 JBoss by Red Hat. All rights reserved.